StartupMessage (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.transport.messages

## Class StartupMessage

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Request
    - - org.apache.cassandra.transport.messages.StartupMessage

-     public class StartupMessage
      extends Message.Request

  The initial message of the protocol. Sets up a number of connection options.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

      `Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ExceptionHandler, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Message.Codec<StartupMessage>` | `codec`
    `static java.lang.String` | `COMPRESSION`
    `static java.lang.String` | `CQL_VERSION`
    `java.util.Map<java.lang.String,java.lang.String>` | `options`

    - ### Fields inherited from class org.apache.cassandra.transport.Message.Request

      `tracingRequested`

    - ### Fields inherited from class org.apache.cassandra.transport.Message

      `connection, logger, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartupMessage(java.util.Map<java.lang.String,java.lang.String> options)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message.Response` | `execute(QueryState state)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.transport.Message.Request

      `isTracingRequested, setTracingRequested`

    - ### Methods inherited from class org.apache.cassandra.transport.Message

      `attach, connection, getCustomPayload, getSourceFrame, getStreamId, setCustomPayload, setSourceFrame, setStreamId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CQL_VERSION

          public static final java.lang.String CQL_VERSION

      See Also:
        Constant Field Values

    - #### COMPRESSION

          public static final java.lang.String COMPRESSION

      See Also:
        Constant Field Values

    - #### codec

          public static final Message.Codec<StartupMessage> codec

    - #### options

          public final java.util.Map<java.lang.String,java.lang.String> options

  - ### Constructor Detail

    - #### StartupMessage

          public StartupMessage(java.util.Map<java.lang.String,java.lang.String> options)

  - ### Method Detail

    - #### execute

          public Message.Response execute(QueryState state)

      Specified by:
        `execute` in class `Message.Request`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation